nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | List of all members
nx::sdk::StringMap Class Reference
Inheritance diagram for nx::sdk::StringMap:

## Public Types
using | Map = std::map< std::string, std::string >

## Public Member Functions
| StringMap (Map map)
void | setItem (std::string key, std::string value)
void | clear ()
virtual int | count () const override
virtual const char * | key (int i) const override
virtual const char * | value (int i) const override
virtual const char * | value (const char *key) const override
Public Member Functions inherited from nx::sdk::RefCountable< IStringMap >
| RefCountable (const RefCountable &)=delete
| RefCountable (RefCountable &&)=delete
RefCountable & | operator= (const RefCountable &)=delete
RefCountable & | operator= (RefCountable &&)=delete
virtual int | addRef () const override
virtual int | releaseRef () const override
int | refCount () const
Public Member Functions inherited from nx::sdk::Interface< IStringMap >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
int | refCountThreadUnsafe () const

## Additional Inherited Members
Static Public Member Functions inherited from nx::sdk::IStringMap
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()
Protected Member Functions inherited from nx::sdk::Interface< IStringMap >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static const InterfaceId * | makeId (const char(&charArray)[len])
template<int len, int alternativeLen>
static std::vector< const InterfaceId * > | makeIdWithAlternative (const char(&charArray)[len], const char(&alternativeCharArray)[alternativeLen])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])
static std::vector< const InterfaceId * > | alternativeInterfaceIds (const InterfaceId *id)
static std::vector< const InterfaceId * > | alternativeInterfaceIds (std::vector< const InterfaceId *> ids)

## Member Function Documentation

## ◆ key()

const char * nx::sdk::StringMap::key | ( | int | i | ) | const
| overridevirtual

Returns
  Pointer that is valid only until this object is changed or deleted.

Implements nx::sdk::IStringMap.

## ◆ value() [1/2]

const char * nx::sdk::StringMap::value | ( | int | i | ) | const
| overridevirtual

Returns
  Pointer that is valid only until this object is changed or deleted.

Implements nx::sdk::IStringMap.

## ◆ value() [2/2]

const char * nx::sdk::StringMap::value | ( | const char * | key | ) | const
| overridevirtual

Returns
  Null if not found or the key is null.

Implements nx::sdk::IStringMap.

The documentation for this class was generated from the following files:

- src/nx/sdk/helpers/string_map.h
- src/nx/sdk/helpers/string_map.cpp